@keyframes scroll {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(-50%);  /* Translate by 50% of the container width (one full set) */
    }
  }


.block-logo-carousel {
    margin: 0;
    padding: var(--spacing-top) 0 var(--spacing-bottom) 0;
    position: relative;
    background: var(--bgcolor);

    h2 {
        font-size: var(--font-size-h5);
        font-weight: 400;
        line-height: 1.33;
        text-align: center;
        margin-bottom: 48px;
        padding: 0 20px;
    }

    ul {
        gap: 0;
    }

    li {
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0 16px;
    }

    figure {
        width: 120px;
        height: 30px;
        flex: 0 0 auto;   

        img {
            display: block;
            object-fit: contain;
            width: 100%;
            height: 100%;
        }
    }

    .logo-marquee {
        overflow-x: hidden;
    }


    .logo-track {
        display: flex;
        align-items: center;
        width: max-content;
        animation: scroll var(--speed) linear infinite;
      }
      

    @media screen and (min-width: 748px) {
        figure {
            width: 150px;
            height: 40px;
        }
    }


    @media screen and (min-width: 1200px) {
        figure {
            width: 200px;
            height: 40px;
        }
    }
}